{% extends "contact_form/base.html" %}
{% load i18n crispy_forms_tags %}

{% block title %}{{ block.super }} - {% translate "Contact" %}{% endblock title %}
{% block page_title %}{% translate "Contact" %}{% endblock page_title %}

{% block content %}
    {% crispy form %}
{% endblock %}

{% block extra_js %}
    <script type="text/javascript">
        document.addEventListener("DOMContentLoaded", function () {
            let textFields = document.querySelectorAll("input[type=text]");

            if (textFields[0].val() !== '') {
                document.getElementsByTagName("textarea")[0].focus();
            } else {
                textFields[0].focus();
            }
        });
    </script>
{% endblock extra_js %}
